Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Delete a permission, using a valid management key.
This API endpoint allows administrators to delete an existing permission. The endpoint takes the following one parameter:
- name (required)
See also
- See User Authorization for further details on managing roles and permissions.
curl -X POST "https://api.descope.com/v1/mgmt/permission/delete" \ -H "Content-Type: application/json" \ -d '{}'Update Permission POST
### Update a permission, using a valid management key. This API endpoint allows administrators to update an existing permission. The endpoint takes the following two parameters: - name (required) - description (optional - though if not provided, it will be removed from the permission) ### Next Steps Once you have this data, you can utilize the newly created role to [Create Roles](/api/management/roles/create-role) or [Update Roles](/api/management/roles/update-role) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.
Role Management API Overview
Use the Descope API to create, manage, and delete roles using a management key.